[Talk-it] GDAL-based DEM utilitie

Alessandro Briosi tsdogs at briosix.org
Fri Nov 28 12:45:21 GMT 2008


il problema è la versione delle librerie di sviluppo gdal.

Probabilmente cambia il path del file gdal_priv.h
Controlla dove lo hai e modifica il path -I includendo quello corretto.
Se esiste uno script configure probabilmente con --with-gdal=PATH 
dovrebbe bastare.

Alessandro

Luca Delucchi ha scritto:
> Non so se lo conoscete [1] sto provando ad installarlo sembra che non
> legga delle variabili
> 
> debianluca:/home/luca/demtools# make
> Demtools compilation ...
> g++ hillshade.cpp -lgdal -o bin/hillshade
> hillshade.cpp:24:23: error: gdal_priv.h: No such file or directory
> hillshade.cpp: In function 'int main(int, char**)':
> hillshade.cpp:28: error: 'GDALDataset' was not declared in this scope
> hillshade.cpp:28: error: 'poDataset' was not declared in this scope
> hillshade.cpp:69: error: 'EQUAL' was not declared in this scope
> hillshade.cpp:71: error: 'EQUAL' was not declared in this scope
> hillshade.cpp:74: error: 'EQUAL' was not declared in this scope
> hillshade.cpp:77: error: 'EQUAL' was not declared in this scope
> hillshade.cpp:82: error: 'GDALAllRegister' was not declared in this scope
> hillshade.cpp:87: error: expected primary-expression before ')' token
> hillshade.cpp:87: error: expected `;' before 'GDALOpen'
> hillshade.cpp:93: error: 'GDALRasterBand' was not declared in this scope
> hillshade.cpp:93: error: 'poBand' was not declared in this scope
> hillshade.cpp:105: error: 'CPLMalloc' was not declared in this scope
> hillshade.cpp:111: error: 'GDALDriver' was not declared in this scope
> hillshade.cpp:111: error: 'poDriver' was not declared in this scope
> hillshade.cpp:112: error: 'GetGDALDriverManager' was not declared in this scope
> hillshade.cpp:113: error: 'poShadeDS' was not declared in this scope
> hillshade.cpp:114: error: 'poShadeBand' was not declared in this scope
> hillshade.cpp:117: error: 'GDT_Byte' was not declared in this scope
> hillshade.cpp:147: error: 'GF_Read' was not declared in this scope
> hillshade.cpp:148: error: 'GDT_Float32' was not declared in this scope
> hillshade.cpp:202: error: 'GF_Write' was not declared in this scope
> hillshade.cpp:203: error: 'GDT_Float32' was not declared in this scope
> hillshade.cpp:207: error: type '<type error>' argument given to
> 'delete', expected pointer
> make: *** [compile] Error 1
> 
> qui potete trovare il make file [2]
> 
> ciao e grazie
> Luca
> 
> [1]http://www.perrygeo.net/wordpress/?p=7
> [2]http://perrygeo.googlecode.com/svn/trunk/demtools/
> 
> _______________________________________________
> Talk-it mailing list
> Talk-it at openstreetmap.org
> http://lists.openstreetmap.org/listinfo/talk-it




More information about the Talk-it mailing list